# Uses of Class
org.eclipse.draw2d.Layer

Packages that use Layer
Package
Description
org.eclipse.draw2d
Primary package containing general interfaces and implementation classes.

## Uses of Layer in org.eclipse.draw2d

Subclasses of Layer in org.eclipse.draw2d
Modifier and Type
Class
Description
`class`
`ConnectionLayer`
Layer designed specifically to handle the presence of connections.
`class`
`FreeformLayer`
A Layer that can extend in all 4 directions.
`class`
`FreeformLayeredPane`
A LayeredPane that contains `FreeformLayers`.
`class`
`LayeredPane`
A figure capable of holding any number of layers.
`class`
`ScalableFreeformLayeredPane`
`class`
`ScalableLayeredPane`
A non-freeform, scalable layered pane.
Methods in org.eclipse.draw2d that return Layer
Modifier and Type
Method
Description
`protected Layer`
LayeredPane.`getLayer(int index)`
Returns the layer at the specified index in this pane.
`Layer`
LayeredPane.`getLayer(Object key)`
Returns the layer identified by the key given in the input.
Methods in org.eclipse.draw2d with parameters of type Layer
Modifier and Type
Method
Description
`void`
LayeredPane.`addLayerAfter(Layer layer, Object key, Object after)`
Adds the given layer, identifiable with the given key, under the after layer provided in the input.
`void`
LayeredPane.`addLayerBefore(Layer layer, Object key, Object before)`
Adds the given layer, identifiable with the given key, above the before layer provided in the input.